Get order
curl --request GET \
--url https://api.unitedmarket.ai/orders/{hash}const options = {method: 'GET'};
fetch('https://api.unitedmarket.ai/orders/{hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.unitedmarket.ai/orders/{hash}"
response = requests.get(url)
print(response.text){
"orderHash": "<string>",
"account": "<string>",
"conditionId": "<string>",
"tokenId": "<string>",
"status": "open"
}{
"message": "<string>",
"error": "Unauthorized",
"statusCode": 401
}Orders
Get order
Returns one order by order hash.
GET
https://api.unitedmarket.ai
/
orders
/
{hash}
Get order
curl --request GET \
--url https://api.unitedmarket.ai/orders/{hash}const options = {method: 'GET'};
fetch('https://api.unitedmarket.ai/orders/{hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.unitedmarket.ai/orders/{hash}"
response = requests.get(url)
print(response.text){
"orderHash": "<string>",
"account": "<string>",
"conditionId": "<string>",
"tokenId": "<string>",
"status": "open"
}{
"message": "<string>",
"error": "Unauthorized",
"statusCode": 401
}Path Parameters
Order hash.
Response
Order returned.
open / partially_filled rest on the book. pending_settlement matched but not yet on-chain. cancelled_local is an API/matcher cancel (including FOK/POST_ONLY that never rested). cancelled_onchain was cancelled in a settlement tx. expired missed its expiration.
Available options:
open, partially_filled, filled, cancelled_local, cancelled_onchain, expired, pending_settlement 